SenseCrypt Docs
API ReferenceScim

Get a group by id (SCIM 2.0)

GET/v1/idp/scim/v2/Groups/{group_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

group_id*Group Id

Query Parameters

attributes?string|null
excludedAttributes?string|null

Header Parameters

If-None-Match?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/idp/scim/v2/Groups/string"
{  "schemas": [    "urn:ietf:params:scim:schemas:core:2.0:Group"  ],  "id": "e9e30dba-f08f-4109-8486-d5c6a331660a",  "displayName": "Engineering",  "externalId": "grp-eng-01",  "members": [    {      "value": "2819c223-7f76-453a-919d-413861904646",      "$ref (member)": "https://acme.example.com/v1/idp/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"    }  ],  "meta": {    "resourceType": "Group",    "location": "https://acme.example.com/v1/idp/scim/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a"  }}
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "404",  "detail": "User 2819c223-7f76-453a-919d-413861904646 not found"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}